/*
    Copyright (C) 2001-2002 KSVG Team
    This file is part of the KDE project

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#include "SVGTests.h"
#include "SVGTestsImpl.h"
#include "SVGStringList.h"

using namespace KSVG;

SVGTests::SVGTests()
{
	impl = new SVGTestsImpl();
}

SVGTests::SVGTests(const SVGTests &other)
{
	impl = other.impl;
}

SVGTests::SVGTests(SVGTestsImpl *other)
{
	impl = other;
}

SVGTests::~SVGTests()
{
	delete impl;
}

SVGStringList SVGTests::requiredFeatures() const
{
	if(!impl) return SVGStringList(0);
	return SVGStringList(impl->requiredFeatures());
}

SVGStringList SVGTests::requiredExtensions() const
{
	if(!impl) return SVGStringList(0);
	return SVGStringList(impl->requiredExtensions());
}

SVGStringList SVGTests::systemLanguage() const
{
	if(!impl) return SVGStringList(0);
	return SVGStringList(impl->systemLanguage());
}

bool SVGTests::hasExtension(const DOM::DOMString &extension)
{
	if(!impl) return false;
	return impl->hasExtension(extension);
}

// vim:ts=4:noet
